Details
curl --request GET \
--url https://api.themoviedb.org/3/list/{list_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/list/{list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/list/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/list/{list_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/list/{list_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/list/{list_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/list/{list_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_by": "Aazzle",
"description": "Filme die ich sehen will",
"favorite_count": 0,
"id": 737,
"iso_639_1": "en",
"item_count": 3,
"items": [
{
"backdrop_path": "/qCU097AXMPAsmpVK4j9kzMTxt2d.jpg",
"id": 630,
"title": "The Wizard of Oz",
"original_title": "The Wizard of Oz",
"overview": "Young Dorothy finds herself in a magical world where she makes friends with a lion, a scarecrow and a tin man as they make their way along the yellow brick road to talk with the Wizard and ask for the things they miss most in their lives. The Wicked Witch of the West is the only thing that could stop them.",
"poster_path": "/pfAZFD7I2hxW9HCChTuAzsdE6UX.jpg",
"media_type": "movie",
"adult": false,
"original_language": "en",
"genre_ids": [
12,
14,
10751
],
"popularity": 70.397,
"release_date": "1939-08-15",
"video": false,
"vote_average": 7.6,
"vote_count": 5596
},
{
"backdrop_path": "/o6TYNmB1CT85j7lmyvSedoybyc9.jpg",
"id": 68728,
"title": "Oz the Great and Powerful",
"original_title": "Oz the Great and Powerful",
"overview": "Oscar Diggs, a small-time circus illusionist and con-artist, is whisked from Kansas to the Land of Oz where the inhabitants assume he's the great wizard of prophecy, there to save Oz from the clutches of evil.",
"poster_path": "/tkzfAUEKoUp4YFNbZV9hfpZOz0z.jpg",
"media_type": "movie",
"adult": false,
"original_language": "en",
"genre_ids": [
14,
12,
10751
],
"popularity": 34.896,
"release_date": "2013-03-07",
"video": false,
"vote_average": 5.9,
"vote_count": 6497
},
{
"backdrop_path": "/mJSe5dxKu8Sq0GfdjdWVqdGvzfV.jpg",
"id": 60304,
"title": "Hansel & Gretel: Witch Hunters",
"original_title": "Hansel & Gretel: Witch Hunters",
"overview": "After getting a taste for blood as children, Hansel and Gretel have become the ultimate vigilantes, hell-bent on retribution. Now, unbeknownst to them, Hansel and Gretel have become the hunted, and must face an evil far greater than witches... their past.",
"poster_path": "/j343Rpj3WeNvP0SV80zveve70io.jpg",
"media_type": "movie",
"adult": false,
"original_language": "en",
"genre_ids": [
14,
27,
28
],
"popularity": 42.509,
"release_date": "2013-01-17",
"video": false,
"vote_average": 6.069,
"vote_count": 6705
}
],
"name": "Noch angucken",
"page": 1,
"poster_path": null
}LISTS
Details
This endpoint get the details of a list.
GET
/
list
/
{list_id}
Details
curl --request GET \
--url https://api.themoviedb.org/3/list/{list_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/list/{list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/list/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/list/{list_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/list/{list_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/list/{list_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/list/{list_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_by": "Aazzle",
"description": "Filme die ich sehen will",
"favorite_count": 0,
"id": 737,
"iso_639_1": "en",
"item_count": 3,
"items": [
{
"backdrop_path": "/qCU097AXMPAsmpVK4j9kzMTxt2d.jpg",
"id": 630,
"title": "The Wizard of Oz",
"original_title": "The Wizard of Oz",
"overview": "Young Dorothy finds herself in a magical world where she makes friends with a lion, a scarecrow and a tin man as they make their way along the yellow brick road to talk with the Wizard and ask for the things they miss most in their lives. The Wicked Witch of the West is the only thing that could stop them.",
"poster_path": "/pfAZFD7I2hxW9HCChTuAzsdE6UX.jpg",
"media_type": "movie",
"adult": false,
"original_language": "en",
"genre_ids": [
12,
14,
10751
],
"popularity": 70.397,
"release_date": "1939-08-15",
"video": false,
"vote_average": 7.6,
"vote_count": 5596
},
{
"backdrop_path": "/o6TYNmB1CT85j7lmyvSedoybyc9.jpg",
"id": 68728,
"title": "Oz the Great and Powerful",
"original_title": "Oz the Great and Powerful",
"overview": "Oscar Diggs, a small-time circus illusionist and con-artist, is whisked from Kansas to the Land of Oz where the inhabitants assume he's the great wizard of prophecy, there to save Oz from the clutches of evil.",
"poster_path": "/tkzfAUEKoUp4YFNbZV9hfpZOz0z.jpg",
"media_type": "movie",
"adult": false,
"original_language": "en",
"genre_ids": [
14,
12,
10751
],
"popularity": 34.896,
"release_date": "2013-03-07",
"video": false,
"vote_average": 5.9,
"vote_count": 6497
},
{
"backdrop_path": "/mJSe5dxKu8Sq0GfdjdWVqdGvzfV.jpg",
"id": 60304,
"title": "Hansel & Gretel: Witch Hunters",
"original_title": "Hansel & Gretel: Witch Hunters",
"overview": "After getting a taste for blood as children, Hansel and Gretel have become the ultimate vigilantes, hell-bent on retribution. Now, unbeknownst to them, Hansel and Gretel have become the hunted, and must face an evil far greater than witches... their past.",
"poster_path": "/j343Rpj3WeNvP0SV80zveve70io.jpg",
"media_type": "movie",
"adult": false,
"original_language": "en",
"genre_ids": [
14,
27,
28
],
"popularity": 42.509,
"release_date": "2013-01-17",
"video": false,
"vote_average": 6.069,
"vote_count": 6705
}
],
"name": "Noch angucken",
"page": 1,
"poster_path": null
}Authorizations
Response
200 - application/json
Successful